package nc.ui.gl.assattriquerybalance;

import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.BorderFactory;
import javax.swing.JFrame;
import nc.ui.gl.assattriquerybalance.QueryObjectList;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.beans.UIButton;
import nc.ui.pub.beans.UIPanel;
import nc.ui.pub.style.Style;

public class QueryObjectListPanel extends UIPanel {

   private QueryObjectList ivjQueryObjectList1 = null;
   private UIButton ivjbtnDown = null;
   private UIButton ivjbtnUp = null;


   public QueryObjectListPanel() {
      this.initialize();
   }

   public QueryObjectListPanel(LayoutManager arg1) {
      super(arg1);
   }

   public QueryObjectListPanel(LayoutManager arg1, boolean arg2) {
      super(arg1, arg2);
   }

   public QueryObjectListPanel(boolean arg1) {
      super(arg1);
   }

   private UIButton getbtnDown() {
      if(this.ivjbtnDown == null) {
         try {
            this.ivjbtnDown = new UIButton();
            this.ivjbtnDown.setName("btnDown");
            this.ivjbtnDown.setToolTipText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000234"));
            this.ivjbtnDown.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000235"));
            this.ivjbtnDown.setBounds(435, 62, 42, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjbtnDown;
   }

   private UIButton getbtnUp() {
      if(this.ivjbtnUp == null) {
         try {
            this.ivjbtnUp = new UIButton();
            this.ivjbtnUp.setName("btnUp");
            this.ivjbtnUp.setToolTipText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000236"));
            this.ivjbtnUp.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000237"));
            this.ivjbtnUp.setBounds(435, 27, 42, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjbtnUp;
   }

   public UIButton getIvjbtnDown() {
      return this.ivjbtnDown;
   }

   public UIButton getIvjbtnUp() {
      return this.ivjbtnUp;
   }

   public QueryObjectList getIvjQueryObjectList1() {
      return this.ivjQueryObjectList1;
   }

   private QueryObjectList getQueryObjectList1() {
      if(this.ivjQueryObjectList1 == null) {
         try {
            this.ivjQueryObjectList1 = new QueryObjectList();
            this.ivjQueryObjectList1.setName("QueryObjectList1");
            this.ivjQueryObjectList1.setBounds(0, 0, 421, 94);
            this.ivjQueryObjectList1.setBorder(BorderFactory.createMatteBorder(1, 1, 1, 1, Style.NCborderColor));
            this.ivjQueryObjectList1.getTable().sizeColumnsToFitTitle();
            this.ivjQueryObjectList1.setHorizontalScrollBarPolicy(32);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjQueryObjectList1;
   }

   public void setQueryObjectList1Size(int width, int hight) {
      if(this.ivjQueryObjectList1 == null) {
         this.getQueryObjectList1();
      }

      this.ivjQueryObjectList1.setPreferredSize(new Dimension(width, hight));
      this.ivjQueryObjectList1.setSize(new Dimension(width, hight));
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("QueryObjectListPanel");
         this.setLayout((LayoutManager)null);
         this.setSize(493, 109);
         this.add(this.getQueryObjectList1(), this.getQueryObjectList1().getName());
         this.add(this.getbtnUp(), this.getbtnUp().getName());
         this.add(this.getbtnDown(), this.getbtnDown().getName());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getbtnDown().setVisible(false);
      this.getbtnUp().setVisible(false);
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         QueryObjectListPanel aQueryObjectListPanel = new QueryObjectListPanel();
         exception.setContentPane(aQueryObjectListPanel);
         exception.setSize(aQueryObjectListPanel.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.beans.UIPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void setIvjbtnDown(UIButton newIvjbtnDown) {
      this.ivjbtnDown = newIvjbtnDown;
   }

   public void setIvjbtnUp(UIButton newIvjbtnUp) {
      this.ivjbtnUp = newIvjbtnUp;
   }

   public void setIvjQueryObjectList1(QueryObjectList newIvjQueryObjectList1) {
      this.ivjQueryObjectList1 = newIvjQueryObjectList1;
   }

   public QueryObjectList getQueryObjectList2() {
      if(this.ivjQueryObjectList1 == null) {
         try {
            this.ivjQueryObjectList1 = new QueryObjectList();
            this.ivjQueryObjectList1.setName("QueryObjectList1");
            this.ivjQueryObjectList1.setBounds(0, 7, 421, 94);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjQueryObjectList1;
   }
}
